import {TITLE_ACTIONS_SET} from "src/defs";
import * as doctitleActions from "src/actions";

describe("actions", () => {
  describe("setDocumentTitle", () => {
    it("should create the action", () => {
      let result = doctitleActions.setDocumentTitle("Spam");
      expect(result.type).toEqual(TITLE_ACTIONS_SET);
      expect(result.title).toEqual("Spam");
    });

    it("should create the action without the custom part", () => {
      let result = doctitleActions.setDocumentTitle();
      expect(result.type).toEqual(TITLE_ACTIONS_SET);
      expect(result.title).toEqual("");
    });
  });
});
